propagator: create put-udev-rules
	@echo "Adding propagator ..."
	@put-file "$(ROOTDIR)" $(PROPAGATOR_FILES)
	@put-file -f "$(ROOTDIR)" $(PROPAGATOR_FILES_OVERWRITE)
	@if [ -f /lib/udev/write_net_rules ]; then \
		put-file "$(ROOTDIR)" /lib/udev/write_net_rules; \
	else \
		put-file "$(ROOTDIR)" $(PROPAGATOR_FILES_NET); \
	fi
	@if [ -f /usr/share/plymouth/default-install-duration ]; then \
		mkdir -p $(PROPAGATOR_DATADIR)/var/lib/plymouth; \
		cp /usr/share/plymouth/default-install-duration \
			$(PROPAGATOR_DATADIR)/var/lib/plymouth/boot-duration; \
	fi
	@if [ -f $(PROPAGATOR_BIN) ]; then \
		put-file "$(ROOTDIR)" $(PROPAGATOR_BIN); \
		mv -f -- "$(ROOTDIR)/$(PROPAGATOR_BIN)" "$(ROOTDIR)/sbin/init-bin"; \
	fi
	@put-tree "$(ROOTDIR)" $(PROPAGATOR_DATADIR)
	@sed -i 's|SYMLINK+="disk/by-label/|KERNEL!="sd[a-z]", &|' \
		$(ROOTDIR)/etc/udev/rules.d/60-persistent-storage.rules ||:
	@rm -f $(ROOTDIR)/etc/udev/rules.d/99-{mountdev,netdev,resume}.rules
	@mkdir -p $(ROOTDIR)/lib/firmware

pack: propagator
